Subject: Re: Chirk-1.1a cannot read .big5 file

From: Bo Yang <[email-masked]>
Date: Wed, 15 Jul 1992 12:24:01 -0700

--------------------------------

	From: [email-masked] (Changyi Zhao)
	Subject: Chirk-1.1a cannot read .big5 file
	To: [email-masked]
	Date: Tue, 14 Jul 92 18:25:31 EDT

	Hi, Yang Bo! Thank you for updating the chirk. Now people can read hz or
	zw coded chinese text files on unix machine. But I met one problem with
	the new version. It cannot read .big5 files anymore. If I run
	"chirk -5 sample1.big5" for example, what shows up on my screen is
	exactly the same as I run without the flag -5.

	I tried to read .big5 files on two DECstations, both has ChiRK-1.1a
	set up, the results were the same. Today, I got the old version and
	compiled it, the problem's gone.

	Could you please check to see if there is anything wrong?

	Thanks a lot!

	Changyi Zhao

--------------------------------------------

Hi, that was a supprise for me. You're right, I must have touched some wrong
key when I was editing chirk.c.  Here is the cure:

Line 206 of chirk.c (1.1a) is a blank one. Replace the blank line with:

		break;

and re-compile.

Thanks a lot for pointing it out. Goodluck to you.

Bo

                                                                      ~{Qn  2*~}
B O   Y A N G                          < e r i c @ c o e u s . u c s d . e d u >